Skip to main content
GET
Get a Secure Value

Authorizations

Authorization
string
header
required

Bearer token

Headers

X-Account-ID
string<uuid>
required

Account ID

Path Parameters

assetTypeName
string
required

Asset type name

assetId
string<uuid>
required

Asset ID

propertyName
string
required

Secure property name

Query Parameters

include_deleted
boolean

Include soft-deleted (default: false)

include_totp_value
boolean
default:false

Also return a TOTP property's value (its secret key) in value. By default only the current code is returned.

Response

Default Response

type
enum<string>
required

Type of secure property

Available options:
secret,
totp
value
string

Decrypted secret value. For TOTP properties, the secret key, returned only with include_totp_value=true.

code
string

Generated TOTP code (only for TOTP properties)

expires
string<date-time>

TOTP code expiration time (only for TOTP properties)